6 Replies Latest reply on Jan 28, 2016 5:17 PM by Josh Chapman

    Keyboard shortcut for "Tile right" and "Tile left" buttons

    Dustin Elliott

      Hi,

       

      I'm using SolidWorks 2012 with dual screens and I like the "tile right" and "tile left" feature that comes with this new version, however I want to be able to assign each of these to a keyboard short cut (specifically "Shift+1" and "Shift+2"). I haven't been able to find the buttons in the "customize" dialog window. Am I just missing it, or is this not possible?

       

      Thanks for any help!

        • Re: Keyboard shortcut for "Tile right" and "Tile left" buttons
          Steve Ostrovsky

          I think right now, the best you'll get (out of the box) is a Span Display in the Keyboard customization.

           

          Span Display.JPG

          • Re: Keyboard shortcut for "Tile right" and "Tile left" buttons
            Dustin Elliott

            Seeing how this thread doesn't seem to be going anywhere, I went and figured out the reg hack. The following code places "tile left" to "shift+1" and "tile right" to "shift+2". For those that want to assign it to another key, change the "key" value to the *hex* ascii value of your choice (note that it will still be "shift+key choice"). For those that want a reg key file, please PM me.

             

            [HKEY_CURRENT_USER\Software\SolidWorks\SolidWorks 2012\Customization\tPlate0]

             

            [HKEY_CURRENT_USER\Software\SolidWorks\SolidWorks 2012\Customization\tPlate0\Custom Accelerators]

             

            [HKEY_CURRENT_USER\Software\SolidWorks\SolidWorks 2012\Customization\tPlate0\Custom Accelerators\AddArray]

             

            [HKEY_CURRENT_USER\Software\SolidWorks\SolidWorks 2012\Customization\tPlate0\Custom Accelerators\AddArray\3_84]

            "fVirt"=dword:00000007

            "key"=dword:00000032

            "cmd"=dword:0000d6f8

             

            [HKEY_CURRENT_USER\Software\SolidWorks\SolidWorks 2012\Customization\tPlate0\Custom Accelerators\AddArray\7_51]

            "cmd"=dword:0000d6f7

            "fVirt"=dword:00000007

            "key"=dword:00000031

             

            [HKEY_CURRENT_USER\Software\SolidWorks\SolidWorks 2012\Customization\tPlate0\Custom Accelerators\SubArray]

             

            [HKEY_CURRENT_USER\Software\SolidWorks\SolidWorks 2012\Customization\tPlate0\Custom Menus]

             

            [HKEY_CURRENT_USER\Software\SolidWorks\SolidWorks 2012\Customization\tPlate1]

             

            [HKEY_CURRENT_USER\Software\SolidWorks\SolidWorks 2012\Customization\tPlate1\Custom Accelerators]

             

            [HKEY_CURRENT_USER\Software\SolidWorks\SolidWorks 2012\Customization\tPlate1\Custom Accelerators\AddArray]

             

            [HKEY_CURRENT_USER\Software\SolidWorks\SolidWorks 2012\Customization\tPlate1\Custom Accelerators\AddArray\3_84]

            "fVirt"=dword:00000007

            "key"=dword:00000032

            "cmd"=dword:0000d6f8

             

            [HKEY_CURRENT_USER\Software\SolidWorks\SolidWorks 2012\Customization\tPlate1\Custom Accelerators\AddArray\7_51]

            "fVirt"=dword:00000007

            "key"=dword:00000031

            "cmd"=dword:0000d6f7

             

            [HKEY_CURRENT_USER\Software\SolidWorks\SolidWorks 2012\Customization\tPlate1\Custom Accelerators\SubArray]

             

            [HKEY_CURRENT_USER\Software\SolidWorks\SolidWorks 2012\Customization\tPlate1\Custom Menus]

             

            [HKEY_CURRENT_USER\Software\SolidWorks\SolidWorks 2012\Customization\tPlate2]

             

            [HKEY_CURRENT_USER\Software\SolidWorks\SolidWorks 2012\Customization\tPlate2\Custom Accelerators]

             

            [HKEY_CURRENT_USER\Software\SolidWorks\SolidWorks 2012\Customization\tPlate2\Custom Accelerators\AddArray]

             

            [HKEY_CURRENT_USER\Software\SolidWorks\SolidWorks 2012\Customization\tPlate2\Custom Accelerators\AddArray\3_84]

            "fVirt"=dword:00000007

            "key"=dword:00000032

            "cmd"=dword:0000d6f8

             

            [HKEY_CURRENT_USER\Software\SolidWorks\SolidWorks 2012\Customization\tPlate2\Custom Accelerators\AddArray\7_51]

            "fVirt"=dword:00000007

            "key"=dword:00000031

            "cmd"=dword:0000d6f7

             

            [HKEY_CURRENT_USER\Software\SolidWorks\SolidWorks 2012\Customization\tPlate2\Custom Accelerators\SubArray]

             

            [HKEY_CURRENT_USER\Software\SolidWorks\SolidWorks 2012\Customization\tPlate2\Custom Menus]

            • Re: Keyboard shortcut for "Tile right" and "Tile left" buttons
              Josh Chapman

              how does someone ever figure this out? I will try  it soon as I can get my IT admin to allow it. If it works great job!

              Thanks

              • Re: Keyboard shortcut for "Tile right" and "Tile left" buttons
                Josh Chapman

                I couldn't get the registry hack to work but I did find a nearly perfect substitute.

                I created a macro with only clicking the tile right button, saved it, and set a key stroke to run that macro. I did the same for the tile left button too. I had to edit the macro a little to get it to work correctly when the window is maximized, and when it is not full size.

                 

                here is my macro for tile right:

                 

                Dim swApp As Object

                 

                 

                Dim Part As Object

                Dim boolstatus As Boolean

                Dim longstatus As Long, longwarnings As Long

                 

                 

                Sub main()

                 

                 

                Set swApp = _

                Application.SldWorks

                 

                 

                Set Part = swApp.ActiveDoc

                Set Part = swApp.ActiveDoc

                Dim myModelView As Object

                Set myModelView = Part.ActiveView

                myModelView.FrameLeft = 1912

                myModelView.FrameTop = 3

                Set myModelView = Part.ActiveView

                myModelView.FrameState = swWindowState_e.swWindowNormal

                myModelView.FrameWidth = 1909

                myModelView.FrameHeight = 852

                End Sub

                 

                 

                ***************************************************************************************************************

                here is tile left:

                _____________________________________________________________________

                ***************************************************************************************************************

                 

                 

                Dim swApp As Object

                 

                 

                Dim Part As Object

                Dim boolstatus As Boolean

                Dim longstatus As Long, longwarnings As Long

                 

                 

                Sub main()

                 

                 

                Set swApp = _

                Application.SldWorks

                 

                 

                Set Part = swApp.ActiveDoc

                Set Part = swApp.ActiveDoc

                Dim myModelView As Object

                Set myModelView = Part.ActiveView

                myModelView.FrameLeft = 3

                myModelView.FrameTop = 25

                Set myModelView = Part.ActiveView

                myModelView.FrameState = swWindowState_e.swWindowNormal

                myModelView.FrameWidth = 1909

                myModelView.FrameHeight = 830

                End Sub